Bug 2975 - IDE CDROM Mis-Mapped
IDE CDROM Mis-Mapped
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: filesystem (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-22 23:45 EDT by john
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-29 17:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john 1999-05-22 23:45:46 EDT
/dev/cdrom was mapped to /dev/hdb on my fresh install of
RedHat 6.0 instead of /dev/hdc as it really is. This is not
a fatal flaw, just an annoying one, which I corrected
manually.
/dev/hdb is another IDE hard disk drive in my system. All
drives (fixed and removeable) are running off the on-board
IDE controller of my motherboard.
Comment 1 Jay Turner 1999-05-24 15:18:59 EDT
How are your jumpers set for these devices?

------- Email Received From  "John Aldrich" <john@chattanooga.net> 05/24/99 23:24 -------
Comment 2 David Lawrence 1999-06-08 14:36:59 EDT
What brand and model of motherboard are you using? I have not seen
this behavior and it seems your controller chipset is doing strange
things.

------- Email Received From  John Aldrich <john@chattanooga.net> 06/08/99 16:14 -------
Comment 3 Michael K. Johnson 1999-07-29 17:35:59 EDT
This really sounds like a chipset bug.  I'm resolving it as
"WONTFIX", but if we get enough other reports to figure out
what is going wrong we can change that.

You might want to send the output from dmesg showing the IDE and
disk detection phase:  As a sample to show you the part to send:

VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xd000-0xd007, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xd008-0xd00f, BIOS settings: hdc:DMA, hdd:DMA
hda: TOSHIBA CD-ROM XM-6402B, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: ATAPI 32X CD-ROM drive, 256kB Cache
Uniform CDROM driver Revision: 2.54

Note You need to log in before you can comment on or make changes to this bug.